package com.lee.jbuilder.util.editor;

import com.borland.primetime.node.NodeListener;

public interface TextContextListener {

  /**
   * The duration to wait in msec until treeModelChanged() will be
   * called
   */
  long getUpdateDelay();

  /**
   * Called after the TreeModel within the structure
   * pane has changed
   */
  void treeModelChanged();

  /**
   * Called if the source has changed
   */
  void sourceChanged();
}